View Issue Details

IDProjectCategoryView StatusLast Update
0007986VALENTINA STUDIOTool - SQL Builderpublic2017-07-07 10:06
ReporterPierce DuBrockAssigned ToSergey Pashkov 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformWindowsOSWindowsOS Version10
Product Version7.0.x 
Target Version7.3.xFixed in Version7.3.x 
Summary0007986: Query Diagram Position Not Saved
DescriptionAs the summary name explains I create a query via the schema editor then save it (vdb database). On re-opening the positions of my table layouts are lost. The tables are all grouped to the top left and I have to spread them all out again to see everything. I don't recall seeing any preference setting anywhere that might determine this. It's becoming a pain having to relayout everything.
TagsNo tags attached.
Working with DB:Valentina Local DB
Version of your DB7.2

Activities

Pierce DuBrock

Pierce DuBrock

2017-06-12 01:03

reporter  

Query Position 01 Before.png (115,312 bytes)
Pierce DuBrock

Pierce DuBrock

2017-06-12 01:03

reporter  

Query Position 02 After.png (77,227 bytes)
Sergey Pashkov

Sergey Pashkov

2017-06-12 08:20

developer   ~0009747

Hello Pierce,

Thanks for this report.
I have the same problem if I minimize and maximize the window.
After reopening the diagram the tables at their places.

Anyway it must be the same issue
Sergey Pashkov

Sergey Pashkov

2017-06-28 16:03

developer   ~0009757

Fix will be available in the version 7.3.1
Pierce DuBrock

Pierce DuBrock

2017-07-06 01:42

reporter   ~0009777

Just checked with Version 7.3.1 and I am still having the same issue.
Sergey Pashkov

Sergey Pashkov

2017-07-06 07:31

developer   ~0009778

One more fix added.

Created a test build for you to try.
https://www.dropbox.com/s/zeacnr2qhvje93x/vstudio_7_win.exe?dl=0
https://www.dropbox.com/s/tvqvyi0sn0stfre/vstudio_x64_7_win.exe?dl=0
Pierce DuBrock

Pierce DuBrock

2017-07-06 18:26

reporter   ~0009780

Tried 32 and 64 bit builds and both are working fine here now (thanks).

Maybe something you can add for later?. I can only save the layout once I physically make a change to my query. This is only a very slight irritant. The workaround is I add a field and then remove it to give me the option to save the layout.

Maybe Paradigma is able to "AutoSave" layouts without the query actually being changed?.

Thanks for the quick fix.
Ruslan Zasukhin

Ruslan Zasukhin

2017-07-07 06:51

administrator   ~0009781

Please report this as separate request.
Sergey Pashkov

Sergey Pashkov

2017-07-07 10:06

developer   ~0009782

I've created the separate issue
http://valentina-db.com/bt/view.php?id=8012

Issue History

Date Modified Username Field Change
2017-06-12 01:03 Pierce DuBrock New Issue
2017-06-12 01:03 Pierce DuBrock File Added: Query Position 01 Before.png
2017-06-12 01:03 Pierce DuBrock File Added: Query Position 02 After.png
2017-06-12 08:20 Sergey Pashkov Note Added: 0009747
2017-06-12 08:20 Sergey Pashkov Assigned To => Sergey Pashkov
2017-06-12 08:20 Sergey Pashkov Status new => confirmed
2017-06-28 16:02 Sergey Pashkov Fixed in Version => 7.3.x
2017-06-28 16:02 Sergey Pashkov Target Version => 7.3.x
2017-06-28 16:03 Sergey Pashkov Category Tool - Schema Editor - Diagrams => Tool - SQL Builder
2017-06-28 16:03 Sergey Pashkov Note Added: 0009757
2017-06-28 16:03 Sergey Pashkov Status confirmed => resolved
2017-06-28 16:03 Sergey Pashkov Resolution open => fixed
2017-07-04 15:28 Ruslan Zasukhin Summary Query Diagram Position Not Saved => Query Diagram Position Not Saved, on Mac OS.
2017-07-06 01:42 Pierce DuBrock Note Added: 0009777
2017-07-06 01:42 Pierce DuBrock Status resolved => feedback
2017-07-06 01:42 Pierce DuBrock Resolution fixed => reopened
2017-07-06 07:31 Sergey Pashkov Note Added: 0009778
2017-07-06 07:31 Sergey Pashkov Summary Query Diagram Position Not Saved, on Mac OS. => Query Diagram Position Not Saved
2017-07-06 18:26 Pierce DuBrock Note Added: 0009780
2017-07-06 18:26 Pierce DuBrock Status feedback => assigned
2017-07-07 06:51 Ruslan Zasukhin Note Added: 0009781
2017-07-07 10:06 Sergey Pashkov Note Added: 0009782
2017-07-07 10:06 Sergey Pashkov Status assigned => resolved
2017-07-07 10:06 Sergey Pashkov Resolution reopened => fixed